PDA

View Full Version : [CLOSED] Javascript Error in V2.x



speedstepmem4
Oct 18, 2013, 9:16 AM
Hi,

we are converted our application 1.x to 2.x version. After conversion it showing the script error when run the application.

"JavaScript runtime error: Object doesn't support property or method 'reg'"

Please check the attachment.

is there any configuration missing?

Please give your suggestion.

Vladimir
Oct 18, 2013, 9:29 AM
It is not Ext.Net code, I guess that it is javascript code from your application
Ext.reg was function in ExtJS 3.x
Ext.Net 2.x version used ExtJS 4.x which has no such method anymore. I suggest to investigate some articles about how to migrate from ExtJS 3.x to 4.x
http://docs-origin.sencha.com/extjs/4.2.2/#!/guide/upgrade
http://docs-origin.sencha.com/extjs/4.2.2/#!/video/23027769
http://docs-origin.sencha.com/extjs/4.2.2/#!/video/23046756

speedstepmem4
Oct 18, 2013, 10:20 AM
It is not Ext.Net code, I guess that it is javascript code from your application
Ext.reg was function in ExtJS 3.x
Ext.Net 2.x version used ExtJS 4.x which has no such method anymore. I suggest to investigate some articles about how to migrate from ExtJS 3.x to 4.x
http://docs-origin.sencha.com/extjs/4.2.2/#!/guide/upgrade
http://docs-origin.sencha.com/extjs/4.2.2/#!/video/23027769
http://docs-origin.sencha.com/extjs/4.2.2/#!/video/23046756

Thanks,

I will check our source.

Vladimir
Oct 18, 2013, 10:26 AM
The code from your screenshot is not part of Ext.Net
Ext.Net doesn't generate such code. It is part of your application